:root {
    background-color: darkgray;
}

body {
    font-family: helvetica, arial, sans-serif;
    background-color: white;
    color: black;
    line-height: 1.5;
    max-width: 40rem;
    min-width: 17rem;
    min-height: 100vh;
    margin: 0 auto;
    padding: 1rem 4rem;
    box-shadow: 0 0 10px gray;
}

header {
    text-align: right;
    position: sticky;
    top: 0;
    background-color: white;
    padding: 0.75rem;
    margin: -1rem -4rem 0;
}

h1 {
    text-align: center;
    font-size: 1.7rem;
    margin: 4rem -2rem 3rem;
    background-color: darkblue;
    color: white;
    padding: 0.5rem;
    &:first-of-type {
        margin-top: 0;
    }
}

dl {
    margin: 0 auto;
    width: min-content;
}
dt {
    white-space: nowrap;
    font-weight: bold;
    padding: 0.5rem 0 0.25rem;
}
dd {
    white-space: nowrap;
    padding: 0.5rem 3rem 1rem;
}


.j-contents {
    width: min-content;
    margin: 0 auto;
    li {
        line-height: 2.5;
        font-weight: bold;
        white-space: nowrap;
        a {
            font-weight: normal;
        }
    }
}

.j-news {
    padding-left: 1rem;
    .j-newsdate {
        margin-left: -1rem;
    }
}

.j-paperback {
    display: flex;
    gap: 2rem;
    .j-img-container {
        text-align: center;
        img {
            box-shadow: 0 0 10px gray;
            height: 20rem;
            margin-top: 2rem;
        }
    }
}

.j-more-link {
    text-align: right;
}

details {
    padding: 1rem;
    summary {
        cursor: pointer;
        color: blue;
    }
    .j-img-container {
        text-align: center;
        img {
            max-width: calc(100% - 4rem);
        }
    }
}

@media (max-width: 600px) {
    body {
        padding: 1rem;
    }

    header {
        margin: -1rem -1rem 0;
    }

    h1 {
        margin: 4rem -1rem 3rem;
    }

    dd {
        padding: 0.5rem 0 1rem;
        margin-left: 1.5rem;
    }

    .j-paperback {
        flex-direction: column;
    }
}
